> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Accounts

> List the Facebook ad accounts linked to the authenticated profile, with account status, aggregate performance metrics, and results cached for 10 minutes.

Retrieve available Facebook ad accounts associated with the authenticated profile.
This endpoint allows you to access basic account information as well as key metrics for the ad accounts.

<ul>
  <li>
    The `metrics` object contains aggregate performance data across all ads in
    the account
  </li>

  <li>
    Results are cached for 10 minutes to optimize performance and reduce API
    calls to Facebook
  </li>

  <li>
    Account status in the JSON response may be one of: `active`, `disabled`,
    `unsettled`, `pending review`, or `closed`
  </li>
</ul>

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Query Parameters

**limit** `number` (default: 100)

Limit the number of ad accounts returned.

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/ads/facebook/accounts
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/ads/facebook/accounts", {
      method: "GET",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      }
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

headers = {'Authorization': 'Bearer API_KEY'}

r = requests.get('https://api.ayrshare.com/api/ads/facebook/accounts', headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.ayrshare.com/api/ads/facebook/accounts",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer API_KEY"
  ]
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
?>
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        string apiKey = "API_KEY";

        using (HttpClient client = new HttpClient())
        {
            client.DefaultRequestHeaders.Add("Authorization", $"Bearer {apiKey}");

            HttpResponseMessage response = await client.GetAsync("https://api.ayrshare.com/api/ads/facebook/accounts");
            string content = await response.Content.ReadAsStringAsync();

            Console.WriteLine(content);
        }
    }
}
```

```go Go theme={"system"}
package main

import (
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    apiKey := "API_KEY"

    req, _ := http.NewRequest("GET", "https://api.ayrshare.com/api/ads/facebook/accounts", nil)
    req.Header.Add("Authorization", "Bearer " + apiKey)

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        fmt.Println(err)
        return
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
```

```java Java theme={"system"}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class GetAdAccounts {
    public static void main(String[] args) {
        try {
            String apiKey = "API_KEY";

            URL url = new URL("https://api.ayrshare.com/api/ads/facebook/accounts");
            HttpURLConnection conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("GET");
            conn.setRequestProperty("Authorization", "Bearer " + apiKey);

            BufferedReader in = new BufferedReader(new InputStreamReader(conn.getInputStream()));
            String inputLine;
            StringBuffer response = new StringBuffer();

            while ((inputLine = in.readLine()) != null) {
                response.append(inputLine);
            }
            in.close();

            System.out.println(response.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
```

```ruby Ruby theme={"system"}
require 'net/http'
require 'json'

uri = URI('https://api.ayrshare.com/api/ads/facebook/accounts')
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer API_KEY'

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http|
  http.request(req)
}

puts response.body
```

```json 200: Success theme={"system"}
{
    "status": "success",
    "adAccounts": [
        {
            "accountId": "274948345",
            "ageInDays": 2870.86,
            "amountSpent": 191.33,
            "balance": 7.84,
            "budgetRemaining": 1,
            "business": {
                "name": "Fun Fun Fun",
                "city": "New York",
                "country": "US",
                "state": "NY",
                "street": "178 Columbus Ave",
                "zip": "10023"
            },
            "created": "2012-01-05T03:11:31-0800",
            "currency": "USD",
            "disableReason": null,
            "fundingSource": {
                "id": "13157487252022",
                "type": "Credit Card"
            },
            "hasNotificationsEnabled": true,
            "isPersonal": false,
            "isPrepayAccount": false,
            "metrics": {
                "spend": 191.33,
                "impressions": 24994,
                "reach": 20410,
                "clicks": 622,
                "ctr": 2.488597,
                "cpm": 7.655037,
                "cpp": 9.374326,
                "frequency": 1.224596,
                "uniqueClicks": 432,
                "uniqueCtr": 2.11661,
                "costPerUniqueClick": 0.442894,
                "inlineLinkClicks": 538,
                "costPerInlineLinkClick": 0.355632,
                "outboundClicks": 468,
                "costPerOutboundClick": 0.408825,
                "websiteCtr": [
                    {
                        "action_type": "link_click",
                        "value": "2.152517"
                    }
                ],
                "accountCurrency": "USD",
                "accountName": "John Smith",
                "accountId": "274948321"
            },
            "minDailyBudget": 1,
            "name": "John Smith",
            "owner": "3205611418413",
            "spendCap": 0,
            "status": "Active",
            "tax": {
                "id": "824087134",
                "type": "Business Tax ID (EIN/SSN)",
                "status": "Pending",
                "isRequired": false
            },
            "timezoneName": "America/Los_Angeles",
            "tosAccepted": {
                "webCustomAudienceTos": true,
                "customAudienceTos": true
            }
        }
    ],
    "count": 1,
    "lastUpdated": "2025-03-26T19:33:51.571Z",
    "nextUpdate": "2025-03-26T19:44:51.571Z"
}
```

```json 400: Ad accounts error theme={"system"}
{
  "action": "get ad accounts",
  "status": "error",
  "code": 366,
  "message": "Error getting ad accounts. Please verify you have an active ad account at Facebook."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.